ApplicationDisplayMode (install4j API)
Description: declaration: package: com.install4j.api.update, enum: ApplicationDisplayMode

# Enum Class ApplicationDisplayMode

java.lang.Object
java.lang.Enum<ApplicationDisplayMode>
com.install4j.api.update.ApplicationDisplayMode

All Implemented Interfaces:
  `Serializable, Comparable<ApplicationDisplayMode>, Constable`

public enum ApplicationDisplayMode extends Enum<ApplicationDisplayMode>
Enumeration class that represents the different display modes. These values are used as an argument for `UpdateChecker.getUpdateDescriptor(String, ApplicationDisplayMode)`.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONSOLE`
  The invoking application runs on the command line.
  `GUI`
  The invoking application runs with a Swing GUI.
  `UNATTENDED`
  The invoking application does not take user input from a GUI or on the command line.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ApplicationDisplayMode`
  `getFromIntValue(int value)`
  Convert int value to constant.
  `int`
  `getIntValue()`
  Convert to an int value.
  `String`
  `toString()`
  `static ApplicationDisplayMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ApplicationDisplayMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GUI

    public static final ApplicationDisplayMode GUI
    The invoking application runs with a Swing GUI. Displaying a proxy dialog is acceptable.

  - ### CONSOLE

    public static final ApplicationDisplayMode CONSOLE
    The invoking application runs on the command line. Asking for proxy information on the command line is acceptable.

  - ### UNATTENDED

    public static final ApplicationDisplayMode UNATTENDED
    The invoking application does not take user input from a GUI or on the command line. Proxy information cannot be supplied by the user.

- ## Method Details

  - ### values

    public static ApplicationDisplayMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ApplicationDisplayMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getIntValue

    public int getIntValue()
    Convert to an int value.
    Returns:
      the int value

  - ### getFromIntValue

    public static ApplicationDisplayMode getFromIntValue(int value)
    Convert int value to constant.
    Parameters:
      `value` - the int value
    Returns:
      the constant

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ApplicationDisplayMode>`